Name:                geolatte-geom
Version:             1.2.0
Release:             1
Summary:             A geometry model for Java that conforms to the Simple Features For SQL
License:             LGPLv3+
URL:                 http://www.geolatte.org/
Source0:             https://github.com/GeoLatte/geolatte-geom/archive/v%{version}.tar.gz
BuildRequires:       maven-local mvn(com.fasterxml.jackson.core:jackson-databind)
BuildRequires:       mvn(commons-collections:commons-collections) mvn(com.vividsolutions:jts)
BuildRequires:       mvn(dom4j:dom4j) mvn(jaxen:jaxen) mvn(junit:junit) mvn(log4j:log4j:1.2.17)
BuildRequires:       mvn(org.codehaus.jackson:jackson-mapper-asl) mvn(org.slf4j:slf4j-api)
BuildRequires:       mvn(org.slf4j:slf4j-log4j12)
BuildArch:           noarch
%description
A geometry model for Java that conforms to the Simple Features For
SQL specification. It is intended as a drop-in replacement for the
Java Topology Suite (JTS) geometry model. GeoLatte-geom is fully
inter-operable with JTS but offers additional features.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}
%pom_remove_plugin :nexus-staging-maven-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_xpath_set "pom:dependency[pom:groupId='log4j']/pom:version" 1.2.17 geom
%pom_change_dep :jackson-mapper-lgpl org.codehaus.jackson:jackson-mapper-asl geom
%pom_change_dep :org.apache.commons.collections commons-collections:commons-collections geom
sed -i -e 's/com\.vividsolutions\.jts/org.locationtech.jts/g' $(find geom -name "*.java")
sed -i -e '/clone()/a@Override public CoordinateSequence copy() {return (CoordinateSequence)clone();}' \
  geom/src/main/java/org/geolatte/geom/AbstractPositionSequence.java

%build
%mvn_build -- -Dmaven.test.failure.ignore=true

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license copyright-template.vml

%files javadoc -f .mfiles-javadoc
%license copyright-template.vml

%changelog
* Sat Aug 15 2020 Ge Wang <wangge20@huawei.com> - 1.2.0-1
- Package init
